Bug 118676 - qmkbootdisk hangs, leaves umount consuming 90% + of CPU
qmkbootdisk hangs, leaves umount consuming 90% + of CPU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qmkbootdisk (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 14:58 EST by Phil Schaffner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 11:02:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mkgrubmenu - a script to make a grub boot floppy with a menu interface (2.25 KB, text/plain)
2004-03-19 09:26 EST, Phil Schaffner
no flags Details

  None (edit)
Description Phil Schaffner 2004-03-18 14:58:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
Running qmkbootdisk with kernel 2.4.22-1.2174.nptl_37 generated errors
to stdout in the terminal window from which it is started and fails to
terminate after progress bar reaches 100%.  After killing with close
widget on window, found system very sluggish.  Running top shows
umount consuming up to 99.9% of CPU.  Unable to kill process with kill
or "kill -9".

Version-Release number of selected component (if applicable):
qmkbootdisk-1.0.1-11

How reproducible:
Always

Steps to Reproduce:
1. run qmkbootdisk
2. close window after several minutes of inactivity
3. observe umount consuming resources
    

Actual Results:  command hung and hosed system

Expected Results:  Should die gracefully when unable to create floppy
image.

Additional info:

[root@radar0 root]# /usr/bin/qmkbootdisk
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
cp: writing `/tmp/mkbootdisk.ca3155/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
 3186 root      25   0   416  416   356 R    99.9  0.0  48:21   0 umount
Comment 1 Phil Schaffner 2004-03-19 09:26:58 EST
Created attachment 98684 [details]
mkgrubmenu - a script to make a grub boot floppy with a menu interface

The mkgrubmenu script is useful for the occasions where Bill Gates clobbers
your boot record and CD rescue mode is not available or convenient, or to
easily change multi-boot default behavior by popping in a floppy without
editing /boot/grub/grub.conf
Comment 2 Phil Schaffner 2004-03-19 09:28:03 EST
After enduring a slow system for some time, I removed
/tmp/mkbootdisk.* then after 10-15 minutes the offending umount
process finally disappeared.  After noting the cron.hourly complaints
about the missing file, I edited /etc/mtab to remove mount entry.

As FC kernels are too big for boot floppys, (forgot to note earlier
that I just tried qmkbootdisk out of curiosity to see what it could
do) this RPM should probably be removed, or at least warnings/checks
added for size, presuming someone could build a trimmed-down custom
kernel that would fit.

I would suggest that something like the attached script might be
useful for those who have problems booting from a rescue-mode CD for
various reasons.  There has been a fair amount of traffic on the
fedora-list about boot floppy issues.
Comment 3 Phil Schaffner 2004-11-30 11:02:22 EST
Tested FC2 qmkbootdisk-1.0.1-12.  Fails to make a working boot disk
(as might be expected due to size of kernel) with output to the
terminal when run from the command line, but writes the disk anyway:

# qmkbootdisk
cp: writing `/tmp/mkbootdisk.m20429/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
20+0 records in
20+0 records out

When run from the KDE menu, allows user to select output device and
kernel version, immediately goes to 100% and terminates, without
prompting for root password, with no error.

Should warn the user that the kernel is too big in the GUI, and should
requent root password if required.  Error handling obvioulsy needs
improvement, but no longer eating up the CPU.  Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.